/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.ProcesoDePedidos;
import com.cosmodas.EntCosmos.VProcesodepedidos;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface ProcesoDePedidosFacadeLocal {

    void create(ProcesoDePedidos procesoDePedidos);

    void edit(ProcesoDePedidos procesoDePedidos);

    void remove(ProcesoDePedidos procesoDePedidos);

    ProcesoDePedidos find(Object id);

    List<ProcesoDePedidos> findAll();

    List<ProcesoDePedidos> findRange(int[] range);

    int count();

    void nuevoProcesoDePedido(String territorioCodigo, String numeroPedido, boolean libera);

    List<VProcesodepedidos> ObtenerProcesoPedidos(String territorio, int tipoCredito, String sucursal);

    List<VProcesodepedidos> ObtenerProcesoPedidosDes(String territorio, int tipoCredito, String sucursal);

    List<VProcesodepedidos> ObtenerProcesoPedidosRep(String territorio, String programa);

    void nuevoProcesoDePedidoCab(String territorioCodigo, String numeroPedido, boolean libera);

    void cambiaDeSucursal(String numeroPedido, String sucursalDestino, String territorio, int tipoReparto);

    List<VProcesodepedidos> ObtenerProcesoPedidosSuper(String territorio, int tipoCredito, String sucursal);

    void liberarPedidos(String numeroPed, String terr);

}
